Subject: Re: RFC2461bis: Semantics of "advertising interface"

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Sat, 07 Aug 2004 19:26:28 +0900

>>>>> On Wed, 28 Jul 2004 06:58:38 -0700 (PDT), 
>>>>> Erik Nordmark <[email-masked]> said:

>> > Major issue: RFC 2461 actually says that in 6.2.2:
>> >       - enabling IP forwarding capability (i.e., changing the system
>> >         from being a host to being a router), when the interface's
>> >         AdvSendAdvertisements flag is TRUE.
>> 
>> > This is not how I recall the intent when we wrote the spec. But RFC 2461
>> > is consistent on this point; a router has AdvSendAdvertisements set.
>> > If it doesn't want to be a default router the RAs would
>> > have a router lifetime of zero.
>> 
>> That's right, so I'm not sure how this can be a new issue.  Do you
>> want additional clarification on this in rfc2461bis?

> It seems like in 2461bis-00.txt that the introduction of IsRouter in
> 6.2.1 is inconsistent with the text in 6.2.2 about AdvSendAdvertisements.

> RFC 2461 reads as if a node "advertises" itself as a router (by sending RAs
> and setting the R-flag in NAs any time AdvSendAdvertisements is set.
> Thus the "AdvSendIsRouter" is really the same as AdvSendAdvertisements.
> (Note that reusing "IsRouter" is confusing since that is the name of
> the conceptual per-neighbor cache entry variable.)

Okay, so your point is that it is redundant to introduce a separate
"AdvSendIsRouter" (or the confusing "IsRouter" variable).  I
understand that.

> Thus I think we can accomplish the intended clarification by changing section 
> 6.2.1 FROM
>       IsRouter       A flag indicating whether routing is enabled on
>                      this interface. Enabling routing on the interface
>                      would imply that a router can forward packets
>                      to or from the interface.

>                      Default: FALSE

>       AdvSendAdvertisements
>                      A flag indicating whether or not the router sends
>                      periodic Router Advertisements and responds to
>                      Router Solicitations.
> TO
>       AdvSendAdvertisements
>                      A flag indicating whether or not the node performs all of
> 			- sends periodic Router Advertisements, 
> 			- responds to Router Solicitations, and
> 			- forwards packets to or from the interface.
> 		     In short, whether or not the node behaves as a router
> 		     on the interface.
> 		     In particular, AdvSendAdvertisements affects whether
> 		     the R-flag in the Neighbor Advertisement messages is set.

Works for me.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------